#include "New_model_console.h"

#include "Create.h"
#include "Model.h"
#include "Project.h"

namespace MM
{

New_model_impl * New_model_console::   
clone () const
{
    return new New_model_console;
}

void New_model_console::
execute (Text const & /*name*/)
{
    Model *model = prototype <Model> ().clone();
    Project::singleton().adopt (model);
}

}//MM
